WordPress.org

Ready to get started?Download WordPress

Forums

Yet Another Related Posts Plugin (YARPP)
[resolved] [Plugin: Yet Another Related Posts Plugin] Warning: Invalid argument supplied for foreach() (5 posts)

  1. hirokk
    Member
    Posted 2 years ago #

    Now I've just updated my YARPP to 3.5.1, but this error occured.
    Warning: Invalid argument supplied for foreach() in /home/fetish-style/www/wp/wp-content/plugins/yet-another-related-posts-plugin/class-core.php on line 406

    When I used 3.4.3, I never met the error.

    Tell me how to solve this error.

    Thx.

    http://wordpress.org/extend/plugins/yet-another-related-posts-plugin/

  2. keaneiscool
    Member
    Posted 2 years ago #

    I'm having the same issue. When I refresh the page with the error code, it goes away.

  3. keaneiscool
    Member
    Posted 2 years ago #

    FYI, This is the code in line 406: foreach ($options['exclude'] as $tax => $term_ids) {

  4. hirokk
    Member
    Posted 2 years ago #

    Thx for your info, keaneiscool.

    Anyone knows how to solve this problem?

  5. mitcho (Michael Yoshitaka Erlewine)
    Member
    Plugin Author

    Posted 1 year ago #

    Sorry, this was a minor bug in some code which runs on a particular version upgrade. That's why you only saw it once. It'll be fixed (for other users) in the next release. Thanks!

Topic Closed

This topic has been closed to new replies.

About this Plugin

About this Topic